/// <reference types="react" />
import CodeMirror, { EditorFromTextArea } from 'codemirror';
import 'codemirror/addon/hint/show-hint';
import 'codemirror/addon/hint/show-hint.css';
import { HintOptions, MentionHint } from '../hint';
import '../hint';
export interface RenderMentionFunc {
    (props: RenderMentionProps): JSX.Element;
}
export interface RenderOptions extends HintOptions {
    data: (search: string) => Promise<MentionHint[]>;
    re: string | RegExp;
    mentionMark: string;
    className?: string;
    RenderMention?: RenderMentionFunc;
    debounce?: number;
}
export interface RenderMentionProps {
    className?: string;
    text?: string;
    option: RenderOptions;
}
export declare class Mention {
    cm: EditorFromTextArea;
    constructor(cm: EditorFromTextArea);
    searchMention(option: RenderOptions): CodeMirror.Position[];
    register(options: any): void;
}
//# sourceMappingURL=index.d.ts.map